﻿using Infragistics.Controls.Grids;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace XamGridVisibilityCase
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {        
        public MainWindow()
        {
            InitializeComponent();            
        }

        private void NameVisibilityBtn_Click(object sender, RoutedEventArgs e)
        {
            TemplateColumn TC = grid1.Columns.Where(c => c.Key.Contains("Name")).FirstOrDefault() as TemplateColumn;

            if (TC.Visibility == Visibility.Visible)
            {
                TC.Visibility = Visibility.Collapsed;
            }
            else
            {
                TC.Visibility = Visibility.Visible;
            }            
        }

        private void LabelVisibilityBtn_Click(object sender, RoutedEventArgs e)
        {
            ViewModel VM = grid1.DataContext as ViewModel;
            VM.IsLabelVisible = !VM.IsLabelVisible;
        }
    }
}
